View Issue Details

IDProjectCategoryView StatusLast Update
0008827ADK-Xojo-V4RBSQLpublic2020-07-12 11:54
ReporterFrançois Van LerbergheAssigned ToIvan Smahin 
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version10.2.x 
Target VersionFixed in Version10.4.x 
Summary0008827: Wrong SQL result when no record for one condition
DescriptionThe table Journal have
- 2 records, Code = 'VEN' AND Code = 'VES', where Type = 'V' (uppercase)
- 1 record, Code = 'NCV' where Type = 'v' (lowercase)
The table Transactions has only records where Journal is 'VEN', no record where Journal = 'NCV'

If I do a SQL query searching for both Type 'V' (in uppercase) AND Type = 'v' (in lowercase), the result is wrongly empty
Steps To Reproduce1) Open the joined database
2) Do this SQL Query :
SELECT Transactions.RecID
FROM Transactions
JOIN Journaux ON Transactions.Journal = Journaux.Code
WHERE (Journaux."Type" = 'V' OR Journaux."Type" = 'v')

or this one :
SELECT Transactions.RecID
FROM Transactions
JOIN Journaux ON Transactions.Journal = Journaux.Code
WHERE Journaux.UpperType = 'V'

(Note : Journaux.UpperType is a method field, = UPPER("Type") )
The results are empty but ther are many records that match this query.
TagsNo tags attached.

Activities

François Van Lerberghe

François Van Lerberghe

2020-07-07 19:09

reporter  

Databases.zip (98,483 bytes)
François Van Lerberghe

François Van Lerberghe

2020-07-07 19:43

reporter   ~0011358

Tested with ValentinaStudio 10.3
François Van Lerberghe

François Van Lerberghe

2020-07-07 19:48

reporter   ~0011359

And tested with VStudio 10.4.12 too

Issue History

Date Modified Username Field Change
2020-07-07 19:09 François Van Lerberghe New Issue
2020-07-07 19:09 François Van Lerberghe File Added: Databases.zip
2020-07-07 19:43 François Van Lerberghe Note Added: 0011358
2020-07-07 19:48 François Van Lerberghe Note Added: 0011359
2020-07-10 06:31 Ivan Smahin Assigned To => Ivan Smahin
2020-07-10 06:31 Ivan Smahin Status new => resolved
2020-07-10 06:31 Ivan Smahin Resolution open => fixed
2020-07-10 06:31 Ivan Smahin Fixed in Version => 10.4.x